#ifndef Render_H
#define Render_H

#include <Thread.h>
#include <Bildschirm.h>

using namespace Framework;

class Render : public Thread
{
private:
	Bildschirm *bildschirm;
	bool beendet;
	int ref;

public:
	// Konstruktor
	Render( Bildschirm *b );
	// Destruktor
	~Render();
	// nicht constant
	virtual void thread();
	void beenden();
	// constant

	// Reference Counting
	Render *getThis();
	Render *release();
};

#endif